import itertools
def manhattan_distance(p1, p2):
    return abs(p1[0] - p2[0]) + abs(p1[1] - p2[1])

def calculate_min_path(start, orders):
    min_distance = float("inf")

    for perm in itertools.permutations(orders):
        current_distance = manhattan_distance(start, perm[0])
        for i in range(len(perm) - 1):
            current_distance += manhattan_distance(perm[i], perm[i + 1])
        min_distance = min(min_distance, current_distance)
    return min_distance
n = int(input())
orders = [tuple(map(int, input("Введите координаты").split())) for _ in range(n)]
start_point = (0,0)
result = calculate_min_path(start_point, orders)
print(result)
